version: '2'

services:
  mumble-jail:
    build: ./data
    hostname: mumble-jail
    container_name: mumble-jail
    restart: always
    entrypoint:
      - murmurd
      - -fg
    volumes:
      - ./data/mumble-server.ini:/etc/mumble-server.ini
      - /opt/docker/secure/privkey.pem:/etc/mumble-ssl/privkey.pem:ro
      - /opt/docker/secure/fullchain.pem:/etc/mumble-ssl/fullchain.pem:ro
#      - ./data/lib:/var/lib/mumble-server
    expose:
      - 64738/tcp
      - 64738/udp
    networks:
      mynet:
        ipv4_address: 172.9.0.101
        
networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.9.0.0/24

